local _, core = ...; -- Namespace

local AceGUI = LibStub("AceGUI-3.0")


function core.Transmog(container)

local frame = AceGUI:Create("Frame")
frame:SetTitle("Transmog")
frame:SetStatusText("|cff00C78CWorthIt-Guides")
frame:SetWidth(400)
frame:SetHeight(500)
frame:SetLayout("Fill")


scrollcontainer = AceGUI:Create("SimpleGroup") -- "InlineGroup" is also good
scrollcontainer:SetFullWidth(true)
scrollcontainer:SetFullHeight(true) -- probably?
scrollcontainer:SetLayout("Fill") -- important!

frame:AddChild(scrollcontainer)

scroll = AceGUI:Create("ScrollFrame")
scroll:SetLayout("Flow") -- probably?
scrollcontainer:AddChild(scroll)
  
  
  -- Introduction
  
  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Introduction:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Transmog is one of the hardest markets to get into but also can be one of the best for gold making. This should be considered before stepping into this market as it requires a lot of upfront time instead before you start seeing daily sales of transmog on the auction house. This is more of a marathon and should be treated as such.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)  
  
  --- The Process
  
    local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125The Process:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("When starting off with Transmog selling is is wise to know that you will need a lot of items with different appearances on the auction house. This is because not everyone will want the same mog appearance as as such you will need to build up your auction house to best match this.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)  
  
   local desc = AceGUI:Create("Label")
  desc:SetText("The best way to describe this is much like how a Clothing store works. If you went into a Clothing store to buy a shirt but the only sold red shirts this limits the amount of sales as not all buyers will want to have red shirts. Now lets say that the expanded the range of there shirts to every colour of the rainbow. This will increase sales as the Clothing Store is providing more options for buyers and in turn will drive more sales for themselves.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space) 

  local desc = AceGUI:Create("Label")
  desc:SetText("This can be a good way of understanding how the Transmog market works. As we will need to have multiple options with multiple appearances for buyers in game. The more variety we have the more we will make in regards to our gold making on a daily basis.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)   
  
  -- How Many Items
  
  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125How Many Items:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("For starting out with Transmog you will need to pad out your auction house with a large amount of appearances. The common rule of thumb is 1000 different appearances on the auction house, which will take sometime to gather up. Though this is a good benchmark for starting with gold making with Transmog, in regards to making steady sales every day the target is to get to around 3000 different appearances on the auction house which will take a lot more time invested.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)  
  
    local desc = AceGUI:Create("Label")
  desc:SetText("Though at the beginning this may seem daunting, once you have completed that target it is just a case of maintaining this amount of items on the auction house once you reach steady sales. Maintaining is the easy part of Transmog farming and it is the initial padding on the auction house which is the barrier to entry for steady sales and not many players want to farm and wait for that long for there returns. However, if you are able to push through with this you will be able to gain steady gold each and every day bringing you in the gold you are aiming to achieve.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)  
 
-- Picking A Server

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Picking A Server:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Picking a sever in which you are looking to sell on your Transmog requires you to put it bluntly “Use Logic”. For Transmog appearance is everything, so that being the case would you not think that a Role Playing sever would call for it? RP servers tend to get more sales of Transmog due to the characters wanting to be unique this gives us the opportunity to sell Transmog to them in way of providing large amounts of appearances for there characters. This is why why Transmog sells better on these Realms due to the high demand of uniqueness for there characters.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space) 

-- Where To Farm

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Where and What To Farm:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Good Transmog farms are typically ones that are from the old world. The best of which are Vanilla and Burning Crusade based farms. Starting out you will need to be focusing on those to pad out your auction house. Zul'Farrak, Dire Maul, Mana Tombs and Botanica are great dungeons to farm for padding out your auction house while also providing a strong value on the items they drop from these.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)   
  
   local desc = AceGUI:Create("Label")
  desc:SetText("A general rule of thumb for padding out your auction house is by doing most of the Vanilla dungeons for Transmog and a few ones in Burning Crusade bringing variety towards your padding and as such will help build up towards your first 1,000 to 3,000 items on the auction house. However, once you have built yourself up towards this amount then you will want to start looking at high end Transmogs where they have lower chances of high value items from these dungeons as the low tier items can be added to the auction house and the high value ones can be sold on to a strong amount of gold.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)   

  local desc = AceGUI:Create("Label")
  desc:SetText("Dungeons like Uldaman and Sunwell are prime examples of high end Transmog farming as they don't provide enough low tier Transmogs for padding but enough for Maintaining. Though they have the chance of dropping high end Transmogs and Recipes which is something we should be looking for when building up our transmog for daily sales on the auction house.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)   

  local desc = AceGUI:Create("Label")
  desc:SetText("Selling Low to Medium Value Transmogs is fairly straight forward and selling these are easier as they do not cost a lot for gold for players but for the Higher Value Transmogs cost more gold as they take more time and luck to gain meaning they will take more time to sell due to the Specific Appearance, Drop Chance and Price leading to a waiting game before you gain a sale on them.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)     
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  

end